Name:           wine
Version:        3.0
Release:        1%{?dist}
Summary:        A compatibility layer for windows applications

License:        GPLv2+
URL:            https://www.winehq.org
Source0:        https://dl.winehq.org/wine/source/%{version}/wine-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  freeglut-devel
BuildRequires:  lcms2-devel
BuildRequires:  libieee1284-devel
BuildRequires:  libjpeg-devel libjpeg-devel(x86-32)
BuildRequires:  libpng-devel libpng-devel(x86-32)
BuildRequires:  librsvg2
BuildRequires:  librsvg2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel
BuildRequires:  libxml2-devel libxml2-devel(x86-32)
BuildRequires:  libxslt-devel
BuildRequires:  ncurses-devel ncurses-devel(x86-32)
BuildRequires:  ocl-icd-devel
BuildRequires:  opencl-headers
BuildRequires:  openldap-devel openldap-devel(x86-32)
BuildRequires:  perl-generators
BuildRequires:  unixODBC-devel
BuildRequires:  sane-backends-devel sane-backends-devel(x86-32)
BuildRequires:  systemd-devel
BuildRequires:  zlib-devel
BuildRequires:  fontforge freetype-devel freetype-devel(x86-32)
BuildRequires:  libgphoto2-devel libgphoto2-devel(x86-32)
BuildRequires:  libpcap-devel libpcap-devel(x86-32)
BuildRequires:  libX11-devel libX11-devel(x86-32)
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libOSMesa-devel  mesa-libOSMesa-devel(x86-32)
BuildRequires:  mesa-libGLU-devel mesa-libGLU-devel(x86-32)
BuildRequires:  libXxf86dga-devel
BuildRequires:  libXxf86vm-devel libXxf86vm-devel(x86-32)
BuildRequires:  libXrandr-devel libXrandr-devel(x86-32)
BuildRequires:  libXrender-devel libXrender-devel(x86-32)
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel libXinerama-devel(x86-32)
BuildRequires:  libXcomposite-devel libXcomposite-devel(x86-32)
BuildRequires:  libXfixes-devel(x86-32)
BuildRequires:  fontconfig-devel fontconfig-devel(x86-32)
BuildRequires:  giflib-devel
BuildRequires:  cups-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel libXi-devel(x86-32)
BuildRequires:  libXcursor-devel libXcursor-devel(x86-32)
BuildRequires:  dbus-devel dbus-devel(x86-32)
BuildRequires:  gnutls-devel gnutls-devel(x86-32)
BuildRequires:  pulseaudio-libs-devel pulseaudio-libs-devel(x86-32)
BuildRequires:  gsm-devel gsm-devel(x86-32)
BuildRequires:  libv4l-devel libv4l-devel(x86-32)
BuildRequires:  fontpackages-devel
BuildRequires:  libtiff-devel libtiff-devel(x86-32)
BuildRequires:  gettext-devel
BuildRequires:  chrpath
BuildRequires:  gstreamer1-devel gstreamer1-devel(x86-32)
BuildRequires:  gstreamer1-plugins-base-devel gstreamer1-plugins-base-devel(x86-32)
BuildRequires:  mpg123-devel mpg123-devel(x86-32)
BuildRequires:  SDL2-devel SDL2-devel(x86-32)
BuildRequires:  libvkd3d-devel
BuildRequires:  vulkan-devel
BuildRequires:  libappstream-glib
BuildRequires:  gtk3-devel
BuildRequires:  libattr-devel
BuildRequires:  libva-devel
BuildRequires:  openal-soft-devel openal-soft-devel(x86-32)
BuildRequires:  icoutils
BuildRequires:  libgcc(x86-32)
BuildRequires:  glibc-devel(x86-32)
BuildRequires:  gtk3-devel
BuildRequires:  libattr-devel
BuildRequires:  libva-devel

Requires:       samba-winbind-clients
Requires:       freetype(x86-32)
Requires:       gnutls(x86-32)
Requires:       libglvnd-glx(x86-32)
Requires:       mesa-dri-drivers(x86-32)

%description
Wine as a compatibility layer for UNIX to run Windows applications. This
package includes a program loader, which allows unmodified Windows
3.x/9x/NT binaries to run on x86 and x86_64 Unixes. Wine can use native system
.dll files if they are available.

%package core
Summary:        Wine core meta-package
Requires:       wine = %{version}-%{release}

%description core
Wine core meta-package includes the basic wine stuff needed by all other packages.

%package common
Summary:       Common files meta-package
Requires:      wine = %{version}-%{release}

%description common
Common wine files and scripts.

%package devel
Summary: Wine development environment
Requires: wine-core = %{version}-%{release}
 
%description devel
Header, include files and library definition files for developing applications
with the Wine Windows(TM) emulation libraries.

%prep
%autosetup

%build
mkdir -p wine64-build
cd wine64-build
../configure --enable-win64 --prefix=/usr

%make_build

cd ..

mkdir -p wine32-build
cd wine32-build
../configure --with-wine64=../wine64-build --prefix=/usr

%make_build

%install
rm -rf $RPM_BUILD_ROOT
cd wine32-build
%make_install

cd ../wine64-build
%make_install

%files
%license LICENSE
%doc ANNOUNCE
%doc COPYING.LIB
%doc LICENSE
%doc LICENSE.OLD
%doc AUTHORS
%doc README
%doc VERSION
%doc documentation/README.*

%{_bindir}/function_grep.pl
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/widl
%{_bindir}/wine
%{_bindir}/wine-preloader
%{_bindir}/wine64
%{_bindir}/wine64-preloader
%{_bindir}/wineboot
%{_bindir}/winebuild
%{_bindir}/winecfg
%{_bindir}/wineconsole
%{_bindir}/winecpp
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
%{_bindir}/wineg++
%{_bindir}/winegcc
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/wineserver
%{_bindir}/wmc
%{_bindir}/wrc

%{_includedir}/wine/*.h
%{_includedir}/wine/*.idl
%{_includedir}/wine/msvcrt/*.h
%{_includedir}/wine/msvcrt/sys/*.h
%{_includedir}/wine/windows/*.h
%{_includedir}/wine/windows/*.idl
%{_includedir}/wine/windows/*.inl
%{_includedir}/wine/windows/*.rh
%{_includedir}/wine/windows/*.x
%{_includedir}/wine/windows/ddk/*.h

%{_prefix}/lib/libwine.so
%{_prefix}/lib/libwine.so.1
%{_prefix}/lib/libwine.so.1.0

%{_prefix}/lib/wine/*.so
%{_prefix}/lib/wine/*.def
%{_prefix}/lib/wine/*.a
%{_prefix}/lib/wine/fakedlls/*.dll
%{_prefix}/lib/wine/fakedlls/*.ds
%{_prefix}/lib/wine/fakedlls/*.sys
%{_prefix}/lib/wine/fakedlls/*.acm
%{_prefix}/lib/wine/fakedlls/*.drv
%{_prefix}/lib/wine/fakedlls/*.exe
%{_prefix}/lib/wine/fakedlls/appwiz.cpl
%{_prefix}/lib/wine/fakedlls/avifile.dll16
%{_prefix}/lib/wine/fakedlls/bthprops.cpl
%{_prefix}/lib/wine/fakedlls/comm.drv16
%{_prefix}/lib/wine/fakedlls/commdlg.dll16
%{_prefix}/lib/wine/fakedlls/compobj.dll16
%{_prefix}/lib/wine/fakedlls/ctl3d.dll16
%{_prefix}/lib/wine/fakedlls/ctl3dv2.dll16
%{_prefix}/lib/wine/fakedlls/ddeml.dll16
%{_prefix}/lib/wine/fakedlls/dispdib.dll16
%{_prefix}/lib/wine/fakedlls/display.drv16
%{_prefix}/lib/wine/fakedlls/gdi.exe16
%{_prefix}/lib/wine/fakedlls/hhctrl.ocx
%{_prefix}/lib/wine/fakedlls/ifsmgr.vxd
%{_prefix}/lib/wine/fakedlls/imm.dll16
%{_prefix}/lib/wine/fakedlls/inetcpl.cpl
%{_prefix}/lib/wine/fakedlls/irprops.cpl
%{_prefix}/lib/wine/fakedlls/joy.cpl
%{_prefix}/lib/wine/fakedlls/keyboard.drv16
%{_prefix}/lib/wine/fakedlls/krnl386.exe16
%{_prefix}/lib/wine/fakedlls/lzexpand.dll16
%{_prefix}/lib/wine/fakedlls/mmdevldr.vxd
%{_prefix}/lib/wine/fakedlls/mmsystem.dll16
%{_prefix}/lib/wine/fakedlls/monodebg.vxd
%{_prefix}/lib/wine/fakedlls/mouse.drv16
%{_prefix}/lib/wine/fakedlls/msacm.dll16
%{_prefix}/lib/wine/fakedlls/mshtml.tlb
%{_prefix}/lib/wine/fakedlls/msisys.ocx
%{_prefix}/lib/wine/fakedlls/msscript.ocx
%{_prefix}/lib/wine/fakedlls/msvideo.dll16
%{_prefix}/lib/wine/fakedlls/ole2.dll16
%{_prefix}/lib/wine/fakedlls/ole2conv.dll16
%{_prefix}/lib/wine/fakedlls/ole2disp.dll16
%{_prefix}/lib/wine/fakedlls/ole2nls.dll16
%{_prefix}/lib/wine/fakedlls/ole2prox.dll16
%{_prefix}/lib/wine/fakedlls/ole2thk.dll16
%{_prefix}/lib/wine/fakedlls/olecli.dll16
%{_prefix}/lib/wine/fakedlls/olesvr.dll16
%{_prefix}/lib/wine/fakedlls/rasapi16.dll16
%{_prefix}/lib/wine/fakedlls/rundll.exe16
%{_prefix}/lib/wine/fakedlls/setupx.dll16
%{_prefix}/lib/wine/fakedlls/shell.dll16
%{_prefix}/lib/wine/fakedlls/sound.drv16
%{_prefix}/lib/wine/fakedlls/stdole2.tlb
%{_prefix}/lib/wine/fakedlls/stdole32.tlb
%{_prefix}/lib/wine/fakedlls/storage.dll16
%{_prefix}/lib/wine/fakedlls/stress.dll16
%{_prefix}/lib/wine/fakedlls/system.drv16
%{_prefix}/lib/wine/fakedlls/toolhelp.dll16
%{_prefix}/lib/wine/fakedlls/twain.dll16
%{_prefix}/lib/wine/fakedlls/typelib.dll16
%{_prefix}/lib/wine/fakedlls/user.exe16
%{_prefix}/lib/wine/fakedlls/vdhcp.vxd
%{_prefix}/lib/wine/fakedlls/ver.dll16
%{_prefix}/lib/wine/fakedlls/vmm.vxd
%{_prefix}/lib/wine/fakedlls/vnbt.vxd
%{_prefix}/lib/wine/fakedlls/vnetbios.vxd
%{_prefix}/lib/wine/fakedlls/vtdapi.vxd
%{_prefix}/lib/wine/fakedlls/vwin32.vxd
%{_prefix}/lib/wine/fakedlls/w32sys.dll16
%{_prefix}/lib/wine/fakedlls/win32s16.dll16
%{_prefix}/lib/wine/fakedlls/win87em.dll16
%{_prefix}/lib/wine/fakedlls/winaspi.dll16
%{_prefix}/lib/wine/fakedlls/windebug.dll16
%{_prefix}/lib/wine/fakedlls/wineps16.drv16
%{_prefix}/lib/wine/fakedlls/wing.dll16
%{_prefix}/lib/wine/fakedlls/winhelp.exe16
%{_prefix}/lib/wine/fakedlls/winnls.dll16
%{_prefix}/lib/wine/fakedlls/winoldap.mod16
%{_prefix}/lib/wine/fakedlls/winsock.dll16
%{_prefix}/lib/wine/fakedlls/wintab.dll16
%{_prefix}/lib/wine/fakedlls/wshom.ocx

%{_libdir}/libwine.so
%{_libdir}/libwine.so.1
%{_libdir}/libwine.so.1.0

%{_libdir}/wine/*.so
%{_libdir}/wine/*.def
%{_libdir}/wine/*.a
%{_libdir}/wine/fakedlls/appwiz.cpl
%{_libdir}/wine/fakedlls/bthprops.cpl
%{_libdir}/wine/fakedlls/hhctrl.ocx
%{_libdir}/wine/fakedlls/inetcpl.cpl
%{_libdir}/wine/fakedlls/irprops.cpl
%{_libdir}/wine/fakedlls/joy.cpl
%{_libdir}/wine/fakedlls/mshtml.tlb
%{_libdir}/wine/fakedlls/msisys.ocx
%{_libdir}/wine/fakedlls/msscript.ocx
%{_libdir}/wine/fakedlls/stdole2.tlb
%{_libdir}/wine/fakedlls/stdole32.tlb
%{_libdir}/wine/fakedlls/wshom.ocx

%{_libdir}/wine/fakedlls/*.dll
%{_libdir}/wine/fakedlls/*.ds
%{_libdir}/wine/fakedlls/*.acm
%{_libdir}/wine/fakedlls/*.sys
%{_libdir}/wine/fakedlls/*.drv
%{_libdir}/wine/fakedlls/*.exe

%{_datadir}/applications/wine.desktop

%{_datadir}/wine/*.inf
%{_datadir}/wine/l_intl.nls

%{_datadir}/wine/fonts/*.fon
%{_datadir}/wine/fonts/*.ttf

%{_mandir}/man1/*.1.gz
%lang(de) %{_mandir}/de.UTF-8/man1/*.1.gz
%lang(fr) %{_mandir}/fr.UTF-8/man1/*.1.gz
%lang(pl) %{_mandir}/pl.UTF-8/man1/*.1.gz

%files core

%files common

%files devel

%changelog
* Tue May 26 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 3.0-1
- Initial build
